Bug 188499 - Review Request: ntl: High-performance algorithms for vectors, matrices, and polynomials
Review Request: ntl: High-performance algorithms for vectors, matrices, and p...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-04-10 13:29 EDT by Rex Dieter
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-11 11:37:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2006-04-10 13:29:18 EDT
Spec Name or Url: http://kde-redhat.unl.edu/apt/fedora/SPECS/ntl-5.4-1.spec
SRPM Name or Url:
http://kde-redhat.unl.edu/apt/fedora/all/SRPMS.stable/ntl-5.4-1.src.rpm
Description: 
NTL is a high-performance, portable C++ library providing data structures
and algorithms for arbitrary length integers; for vectors, matrices, and
polynomials over the integers and over finite fields; and for arbitrary
precision floating point arithmetic.


This is a new dependancy required for Macaulay2-1.0 (coming soon).
Comment 1 Jason Tibbitts 2006-04-10 14:34:42 EDT
Sure takes a while to build...  And no SMP make!  (Not your fault, of course.)

Is there some reason you have no %files section for the main package?  Does this
package only build static libraries?
Comment 2 Rex Dieter 2006-04-10 14:37:55 EDT
> Is there some reason you have no %files section for the main package?  
> Does this package only build static libraries?

Yes, yes.  (-:
Comment 3 Jason Tibbitts 2006-04-10 15:18:17 EDT
There doesn't seem to be any precedent for having a -devel package with no base
package, but looking at the (finally) built output of this package I can't see
any other way you'd package it.  It's just some header files, one ".a" static
library and some documentation.

There's also a debuginfo package created, but it contains no files.  I think it
should be disabled.

Any other opinions?  I see nothing else wrong with the form of this package, and
will review and most likely approve it unless someone objects to the idea of
having a -devel package with no base package.
Comment 4 Patrice Dumas 2006-04-10 15:26:44 EDT
Well there are some precedent. libnet, libcaca, the cernlib at some point, and
others, I believe...
Comment 5 Rex Dieter 2006-04-10 15:29:10 EDT
Also other Macaulay2-related static-lib pkgs: libfac, factory.

I'll look into why/how -debuginfo is empty.
Comment 6 Jason Tibbitts 2006-04-10 15:59:19 EDT
Sorry, for some reason I looked at the SRPMs.  After seeing other packages that
do the same thing I can find no more objections.
Comment 7 Jason Tibbitts 2006-04-10 16:33:05 EDT
OK, builds completed in mock on i386 and x86_64 (development branch).  rpmlint
complains:

W: ntl summary-not-capitalized high-performance algorithms for vectors,
matrices, and polynomials
E: ntl configure-without-libdir-spec

The latter is bogus; this isn't a proper GNU configure script.  Instead it's
just a wrapper for a Perl script that doesn't take the usual arguments.

Full review as soon as I get home from work.

Comment 8 Jason Tibbitts 2006-04-10 21:02:36 EDT
So everything looks good except for the empty debuginfo package and the one
capital H in the summary.

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* license field matches the actual license.
* license is open source-compatible.  It's not included separately in the
package, but this is not necessary as the upstream tarball does not include it.
 (Upstream should probably be nudged to include the GPL in their tarball.)
* source files match upstream:
   1d2a683ecbc12cdf03bf92dbc97c0dd4  ntl-5.4.tar.gz
   1d2a683ecbc12cdf03bf92dbc97c0dd4  ntl-5.4.tar.gz-srpm
* package builds in mock.
* BuildRequires are proper.
* final provides and requires are sane.
* no shared libraries are present.
* package is not relocatable.
* owns the directory it creates (except for /usr/lib, allowed)
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* all headers and static library are in -devel package.  (Everything is in the
-devel package....)
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.
* doesn't own directories owned by other packages.
Comment 9 Rex Dieter 2006-04-11 10:27:00 EDT
%changelog
* Tue Apr 11 2006 Rex Dieter <rexdieter[AT]users.sf.net> 5.4-2
- Capitalize %%summary
- disable -debuginfo, includes no debuginfo'able bits


Spec Name or Url: http://kde-redhat.unl.edu/apt/fedora/SPECS/ntl-5.4-2.spec
SRPM Name or Url:
http://kde-redhat.unl.edu/apt/fedora/all/SRPMS.stable/ntl-5.4-2.src.rpm
Comment 10 Jason Tibbitts 2006-04-11 11:26:58 EDT
Looks good, builds OK on x86_64 and i386 and doesn't produce an empty -debuginfo
package.

APPROVED
Comment 11 Rex Dieter 2006-04-11 11:37:35 EDT
Thanks, importing... build queued.

Note You need to log in before you can comment on or make changes to this bug.